##
# This carousel repository delegates all behavior to ActiveRecord
class ActiveRecord::CarouselRepository

  def method_missing(method_name, *arguments, &block)
    User.send(method_name, *arguments, &block)
  end

  def respond_to?(method_name, include_private = false)
    User.respond_to?(method_name) || super
  end

end
